#   File:       TrashHack.make
#   Target:     TrashHack
#   Sources:    TrashHack.c
#   Created:    Wednesday, May 24, 1995 5:36:41 PM


INSTALLOBJECTS = TrashHackInstaller.c.o

DRAWSTRINGOBJECTS = DrawStringPatch.a.o SizeTrashCan.c.o

EXECUTABLE = 'TrashHack'

TrashHack  TrashHack.make {INSTALLOBJECTS} {DRAWSTRINGOBJECTS}
	Link -t INIT -c TRSH -rt INIT -m MAIN -sg "TrashHack Patch Installer" 
		{INSTALLOBJECTS} 
		"{Libraries}"Interface.o 
		-o {EXECUTABLE}
	Link -t INIT -c TRSH -rt DRWS -m DRAWSTRINGPATCH -sg "TrashHack DrawString Patch" 
		{DRAWSTRINGOBJECTS} 
		"{Libraries}"Interface.o 
		"{Libraries}"Runtime.o 
		-o {EXECUTABLE}
	Rez -i {rincludes} Types.r SysTypes.r TrashHack.r -append -o TrashHack
	Duplicate -y TrashHack "{SystemFolder}Extensions:TrashHack"
	
TrashHackInstaller.c.o  TrashHack.make TrashHackInstaller.c
	 C -r -b TrashHackInstaller.c

DrawStringPatch.a.o  TrashHack.make DrawStringPatch.a
	 Asm  DrawStringPatch.a

SizeTrashCan.c.o  TrashHack.make SizeTrashCan.c
	 C -r -b SizeTrashCan.c

